GETPEERNAME(2)

NAME
getpeername - get name of connected peer

SYNOPSIS

int getpeername(s, name, namelen)
int s;
struct sockaddr *name;
int *namelen;

DESCRIPTION

getpeername() returns the name of the peer connected to socket s. The int pointed to by the namelen parameter should be initialized to indicate the amount of space pointed to by name. On return it contains the actual size of the name returned (in bytes). The name is truncated if the buffer provided is too small.

DIAGNOSTICS
A 0 is returned if the call succeeds, -1 if it fails.

ERRORS

EBADF
    The argument s is not a valid descriptor.

EFAULT
    The name parameter points to memory not in a valid part of the process address space.

ENOBUFS
    Insufficient resources were available in the system to perform the operation.

ENOTCONN
    The socket is not connected.

ENOTSOCK
    The argument s is a file, not a socket.

SEE ALSO
accept(2), bind(2), getsockname(2), socket(2)